class YoLinkError(Exception):
    """Base class for YoLink errors."""


class YoLinkAPIError(YoLinkError):
    """Errors during access YoLink API.

    code: Error Code
    desc: Desc or Error
    """

    def __init__(
        self,
        code: str,
        desc: str,
    ) -> None:
        """Initialize the yolink api error."""

        self.code = code
        self.message = desc
